library google_ui;

import 'package:flutter/material.dart';

import 'src/theme/index.dart';

export 'src/responsive/index.dart';
export 'src/theme/index.dart';
export 'src/utils/index.dart';
export 'src/widgets/index.dart';

class GoogleUI extends StatelessWidget {
  const GoogleUI({
    Key? key,
    this.lightPalette,
    this.darkPalette,
    this.data,
    required this.builder,
  }) : super(key: key);

  final GPaletteData? lightPalette;
  final GPaletteData? darkPalette;
  final GThemeData? data;
  final Widget Function(
      BuildContext context, ThemeData theme, ThemeData darkTheme) builder;

  @override
  Widget build(BuildContext context) {
    final data = this.data ?? GThemeData();
    return GPalette(
      lightPalette: lightPalette ?? GPaletteData.kLightPalette,
      darkPalette: darkPalette ?? GPaletteData.kDarkPalette,
      child: GTheme(
        data: data,
        child: Builder(
          builder: (context) => GSectionTitleTheme(
            data: GSectionTitleThemeData(),
            child: builder(
              context,
              data.generate(context),
              data.generateDark(context),
            ),
          ),
        ),
      ),
    );
  }
}
