import 'package:flutter/material.dart';

import 'g_palette_data.dart';

class GPalette extends InheritedWidget {
  final GPaletteData lightPalette;
  final GPaletteData darkPalette;
  final Widget child;

  const GPalette({
    Key? key,
    required this.lightPalette,
    required this.darkPalette,
    required this.child,
  }) : super(key: key, child: child);

  static GPalette paletteOf(BuildContext context) {
    return context.dependOnInheritedWidgetOfExactType<GPalette>()!;
  }

  static GPaletteData of(BuildContext context) {
    final brightness = Theme.of(context).brightness;
    final value = context.dependOnInheritedWidgetOfExactType<GPalette>()!;
    return brightness == Brightness.light
        ? value.lightPalette
        : value.darkPalette;
  }

  @override
  bool updateShouldNotify(GPalette oldWidget) {
    return lightPalette != oldWidget.lightPalette ||
        darkPalette != oldWidget.darkPalette;
  }
}
