import 'package:flutter/material.dart';

import 'g_section_title_theme_data.dart';

/// Theme for `GSectionTitle`
class GSectionTitleTheme extends InheritedWidget {
  /// Theme data to be overridden.
  final GSectionTitleThemeData data;

  /// The widget below this widget in the tree.
  final Widget child;

  const GSectionTitleTheme({
    Key? key,
    required this.data,
    required this.child,
  }) : super(key: key, child: child);

  static GSectionTitleThemeData? of(BuildContext context) {
    return context
        .dependOnInheritedWidgetOfExactType<GSectionTitleTheme>()
        ?.data;
  }

  @override
  bool updateShouldNotify(GSectionTitleTheme oldWidget) {
    return data != oldWidget.data;
  }
}
