import 'package:intl/intl.dart';

/// Date format utilites class.
class DateFormatUtil {
  /// Format date to `dd MMM, yyyy` format.
  static String standard(DateTime value) {
    return DateFormat("dd MMM, yyyy").format(value);
  }

  /// Format date to `dd MMM, yyyy hh:mm a` format.
  static String standardWithHour(DateTime value) {
    return DateFormat("dd MMM, yyyy hh:mm a").format(value);
  }

  /// Format date to `E dd MMM, yyyy` format.
  static String full(DateTime value) {
    return DateFormat("E dd MMM, yyyy").format(value);
  }

  /// Format date to `E dd MMM, yyyy hh:mm a` format.
  static String fullWithHour(DateTime value) {
    return DateFormat("E dd MMM, yyyy hh:mm a").format(value);
  }

  /// Format date to `dd/MM/yyyy` format.
  static String compact(DateTime value) {
    return DateFormat("dd/MM/yyyy").format(value);
  }

  /// Format date to `dd/MM/yyyy hh:mm a` format.
  static String compactWithHour(DateTime value) {
    return DateFormat("dd/MM/yyyy hh:mm a").format(value);
  }
}
