import 'package:flutter/material.dart';
import '../theme/g_palette.dart';

/// Snacbar utilites class.
class SnackbarUtil {
  /// Show snackbar.
  static ScaffoldFeatureController<SnackBar, SnackBarClosedReason>
      showSnackbar({
    required BuildContext context,
    required String title,
    Color? color,
  }) {
    return ScaffoldMessenger.of(context).showSnackBar(
      SnackBar(backgroundColor: color, content: Text(title)),
    );
  }

  /// Show error snackbar.
  static ScaffoldFeatureController<SnackBar, SnackBarClosedReason>
      showErrorSnackbar({
    required BuildContext context,
    required String title,
  }) {
    final palette = GPalette.of(context);
    return ScaffoldMessenger.of(context).showSnackBar(
      SnackBar(
        backgroundColor: palette.error,
        content: Text(title, style: TextStyle(color: palette.onError)),
      ),
    );
  }
}
