// ignore_for_file: public_member_api_docs, sort_constructors_first
import 'package:flutter/material.dart';

import 'g_popup_menu_item.dart';

/// Create popup menu button.
class GPopupMenuButton extends StatelessWidget {
  const GPopupMenuButton({Key? key, required this.children}) : super(key: key);

  /// A list of [GPopupMenuItem] to display as [GPopupMenuButton] children.
  final List<GPopupMenuItem> children;

  @override
  Widget build(BuildContext context) {
    return PopupMenuButton<void Function()>(
      itemBuilder: (context) =>
          children.map((e) => _buildPopupMenuEntry(e)).toList(),
      onSelected: (value) => value(),
    );
  }

  PopupMenuEntry<void Function()> _buildPopupMenuEntry(GPopupMenuItem item) {
    return PopupMenuItem(
      value: item.onPressed,
      child: item.icon != null
          ? Row(
              children: [
                item.icon!,
                const SizedBox(width: 16),
                Expanded(child: Text(item.label)),
              ],
            )
          : Text(item.label),
    );
  }
}
