import 'package:flutter/material.dart';

import '../../theme/g_palette.dart';
import 'g_select_box_item.dart';

class SelectBoxListTile<T> extends StatelessWidget {
  const SelectBoxListTile({
    Key? key,
    required this.item,
    required this.isSelected,
    required this.onTap,
  }) : super(key: key);

  final GSelectBoxItem<T> item;
  final bool isSelected;
  final void Function() onTap;

  @override
  Widget build(BuildContext context) {
    final textTheme = Theme.of(context).textTheme;
    final palette = GPalette.of(context);

    return ListTile(
      title: Text(item.title, style: textTheme.bodyText1),
      subtitle: item.subtitle != null
          ? Text(
              item.subtitle!,
              style: TextStyle(color: palette.onBackground.withOpacity(.75)),
            )
          : null,
      leading: item.icon,
      trailing: isSelected ? Icon(Icons.check, color: palette.primary) : null,
      onTap: () => onTap(),
    );
  }
}
